Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Interface Step

All Superinterfaces:
  Predicated, Serializable, Visitable

All Known Subinterfaces:
  AllNodeStep, CommentNodeStep, NameStep, ProcessingInstructionNodeStep, TextNodeStep

All Known Implementing Classes:
  DefaultAllNodeStep, DefaultCommentNodeStep, DefaultNameStep, DefaultProcessingInstructionNodeStep, DefaultStep, DefaultTextNodeStep

public interface Step
extends Predicated, Visitable

A Step represents a location step in a LocationPath. The node-set selected by the location step is the node-set that results from generating an initial node-set from the axis and node-test, and then filtering that node-set by each of the predicates in turn. The initial node-set consists of the nodes having the relationship to the context node specified by the axis, and having the node type and expanded-name specified by the node test.

Method Summary
`Iterator` | `axisIterator(Object contextNode, ContextSupport support)` Get an Iterator for the current axis starting in the given contextNode.
`List` | `evaluate(Context context)` For each node in the given context calls matches() for every node on the axis, then filters the result by each of the predicates.
`int` | `getAxis()` Get an identifier for the current axis.
`String` | `getText()`
`boolean` | `matches(Object node, ContextSupport contextSupport)` Performs the node-test part of evaluating the step for the given node (which must be on the axis).
`void` | `simplify()`

Methods inherited from interface org.jaxen.expr.Predicated
`addPredicate, getPredicates, getPredicateSet`

Methods inherited from interface org.jaxen.expr.Visitable
`accept`

Method Detail

### matches

    public boolean matches(Object node,
                           ContextSupport contextSupport)
                    throws JaxenException

  Performs the node-test part of evaluating the step for the given node (which must be on the axis).

  Throws:
    `JaxenException`

### getText

    public String getText()

### simplify

    public void simplify()

### getAxis

    public int getAxis()

  Get an identifier for the current axis.

  See Also:
    `Axis`

### axisIterator

    public Iterator axisIterator(Object contextNode,
                                 ContextSupport support)
                          throws UnsupportedAxisException

  Get an Iterator for the current axis starting in the given contextNode.

  Throws:
    `UnsupportedAxisException`

### evaluate

    public List evaluate(Context context)
                  throws JaxenException

  For each node in the given context calls matches() for every node on the axis, then filters the result by each of the predicates.

  Throws:
    `JaxenException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.